country=str(input())
get=country[2]
print(get)
get=country[9]
print(get)
get=country[0:-5]
print(get)
get=country[0:-2]
print(get)
get=country[0:10]
print(get)
get=country[2:9]
print(get)
get=country[::-1]
print(get)
get=country[-1::-2]
print(get)